Bug 445871 - Can't open hyperlink
Summary: Can't open hyperlink
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Unclassified
Component: general (show other bugs)
Version: 3.4.2
Platform: Manjaro Linux
: NOR grave (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-21 18:24 UTC by louloutech
Modified: 2021-12-18 23:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.4.3


Attachments
It's the bug log of Tellico (8.17 KB, text/x-log)
2021-11-21 18:24 UTC, louloutech
Details

Note You need to log in before you can comment on or make changes to this bug.
Description louloutech 2021-11-21 18:24:08 UTC
Created attachment 143808 [details]
It's the bug log of Tellico

SUMMARY
***
NOTE: If you are reporting a crash, please try to attach a backtrace with debug symbols.
See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports
***


STEPS TO REPRODUCE
1.  Launch Tellico (The bug is already present on the last 5 versions of Tellico)

2.  Open a .tc file (for exemple the tc file of "The Linux Game Book", or 'Le bottin des jeux linux"  in French: ftp://anonymous@download.tuxfamily.org/sdtraces/Le%20bottin%20des%20jeux%20Linux.20211115.zip) 

3.  Open  a file of the directory of "The Linux Game book" for example and try to open a hyperlink and you will see that nothing happens unfortunately

OBSERVED RESULT

No Result when we open a hyperlink unfortunately

EXPECTED RESULT


SOFTWARE/OS VERSIONS

Linux/KDE Plasma: Manjaro Linux
(available in About System)
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION

Thanks for trying to fix this bug. I wish you good luck. You are doing a great job, keep it up! :)
Comment 1 louloutech 2021-11-21 18:25:06 UTC
Thanks for trying to fix this bug. I wish you good luck. You are doing a great job, keep it up! :)
Comment 2 Robby Stephenson 2021-12-11 21:49:30 UTC
Thanks, I do see the issue. For some reason, links without quote marks aren't working.
Comment 3 Robby Stephenson 2021-12-18 17:12:06 UTC
(In reply to Robby Stephenson from comment #2)
> Thanks, I do see the issue. For some reason, links without quote marks
> aren't working.

More accurately, links with a target of _blank are not working, no matter whether they have quotes or not
Comment 4 Robby Stephenson 2021-12-18 18:57:09 UTC
Git commit 79e0cfe206c33b0fd7fdd8327600332d064cf633 by Robby Stephenson.
Committed on 18/12/2021 at 18:55.
Pushed by rstephenson into branch '3.4'.

Open target=_blank links externally

With KHTML, even links with target=_blank were opened externally. With
QWebEngineView, intercept the window creation, capture the url being
loaded, then load it externally.
FIXED-IN: 3.4.3

M  +4    -0    ChangeLog
M  +22   -3    src/entryview.cpp
M  +4    -1    src/entryview.h

https://invent.kde.org/office/tellico/commit/79e0cfe206c33b0fd7fdd8327600332d064cf633
Comment 5 louloutech 2021-12-18 23:04:48 UTC
Hello,
Thank you very much for all your efforts, you are really a great 
community, keep it up!

Louloutech.


On 18/12/2021 19:57, Robby Stephenson wrote:
> https://bugs.kde.org/show_bug.cgi?id=445871
>
> Robby Stephenson <robby@periapsis.org> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|CONFIRMED                   |RESOLVED
>     Version Fixed In|                            |3.4.3
>        Latest Commit|                            |https://invent.kde.org/offi
>                     |                            |ce/tellico/commit/79e0cfe20
>                     |                            |6c33b0fd7fdd8327600332d064c
>                     |                            |f633
>           Resolution|---                         |FIXED
>
> --- Comment #4 from Robby Stephenson <robby@periapsis.org> ---
> Git commit 79e0cfe206c33b0fd7fdd8327600332d064cf633 by Robby Stephenson.
> Committed on 18/12/2021 at 18:55.
> Pushed by rstephenson into branch '3.4'.
>
> Open target=_blank links externally
>
> With KHTML, even links with target=_blank were opened externally. With
> QWebEngineView, intercept the window creation, capture the url being
> loaded, then load it externally.
> FIXED-IN: 3.4.3
>
> M  +4    -0    ChangeLog
> M  +22   -3    src/entryview.cpp
> M  +4    -1    src/entryview.h
>
> https://invent.kde.org/office/tellico/commit/79e0cfe206c33b0fd7fdd8327600332d064cf633
>